﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadRotatorWithHashCode.aspx.cs" Inherits="RadRotatorWithHashCode" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head runat="server">
		<title></title>
	</head>
	<body>
		<form id="form1" runat="server">
		<style type="text/css">
			.rrButton
			{
				display: none !important;
			}
			.rrClipRegion
			{
				border-width: 0 !important;
			}
			.extraData
			{
				position: absolute;
				top: 0px;
				left: 110px;
			}
		</style>
			<script type="text/javascript">
				window.onload = function ()
				{
					initializeStateFromURL();
				}
  
				window.onhashchange = function ()
				{
					initializeStateFromURL();
				}
  
				function initializeStateFromURL()
				{
					if (!stateHandled)
					{
						var navSetting = window.location.hash;
						var slide = FromHash("slide", navSetting);
						if (slide)
						{
							SetRotatorToSlideID(slide);
						}

						stateHandled = true;
					}
				}
  
				var stateHandled = false;
  
				function SetRotatorToSlideID(slideID)
				{
					var rotator = $find("<%= theRotator.ClientID %>");
					var items = rotator.get_items();
					for (i in items)
					{
						if (slideID == GetAttributeValue(items[i], "SlideID"))
						{
							rotator.set_currentItemIndex(items[i].get_index(), true);
							UpdateGUI(items[i]);
							break;
						}
					}
				}
				function GetAttributeValue(anObject, strProperty) {
					if (anObject) {
						var attributes = $telerik.$('[' + strProperty + ']:first', anObject.get_element()).attr(strProperty);
						if (attributes) {
							return attributes;
						}
					}
				}
				function RotatorClientItemShowing(sender, args)
				{
					stateHandled = true;
					UpdateGUI(args.get_item());
				}
				function RotatorClientItemShown(sender, args)
				{
					stateHandled = false;
					var item = args.get_item();
					$telerik.$("div.extraData:visible").hide();
					$telerik.$(item.get_element()).find("div.extraData").show();
				}
  
				function RotatorClientItemClicked(sender, args)
				{
					sender.set_currentItemIndex(args.get_item().get_index(), true);
				}
  
				function UpdateGUI(item)
				{
					$get("customData").innerHTML = "The id is " + GetAttributeValue(item, "CustomData");
					setHash(GetAttributeValue(item, "SlideID"));
				}

				function __GetAttributeValue(item, name)
				{
					return $telerik.$(item.get_element()).find("img").attr(name);
				}
				function FromHash()
				{
					return window.location.hash.substring(1);
				}
				function setHash(value)
				{
					window.location.hash = value;
				}
			</script>
			<telerik:RadScriptManager ID="theScriptManager" runat="server" />
			<telerik:RadRotator ID="theRotator" runat="server" Width="900" ItemWidth="300" Height="220" ItemHeight="220" RotatorType="CoverFlowButtons" OnClientItemClicked="RotatorClientItemClicked" OnClientItemShowing="RotatorClientItemShowing" OnClientItemShown="RotatorClientItemShown" OnItemDataBound="Rotator_ItemsBound">
				<ItemTemplate>
					
					<asp:Image ID="Image1" runat="server" SlideID='<%# Eval("id") %>' ImageUrl='<%# Eval("image") %>' AlternateText='<%# VirtualPathUtility.GetFileName(Eval("image").ToString()) %>' />
					<div class="extraData" style="display: none;">this is some extra data</div>
				</ItemTemplate>
			</telerik:RadRotator>
			<div id="customData"></div>
		</form>
	</body>
</html>
